Skip to main content
GET
/
1
/
clusters
/
mapping
/
{userID}
curl
curl --request GET \
  --url https://algolia_application_id.algolia.net/1/clusters/mapping/top \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "clusterName": "c1-test",
  "dataSize": 0,
  "nbRecords": 42,
  "userID": "user1"
}

Documentation Index

Fetch the complete documentation index at: https://algolia.com/llms.txt

Use this file to discover all available pages before exploring further.

Since it can take a few seconds to get the data from the different clusters, the response isn’t real-time. Requires Admin API key

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

userID
string
required

Unique identifier of the user who makes the search request.

Pattern: ^[a-zA-Z0-9 \-*.]+$
Example:

"user1"

Response

OK

Unique user ID.

clusterName
string
required

Cluster to which the user is assigned.

Example:

"c1-test"

dataSize
integer
required

Data size used by the user.

Example:

0

nbRecords
integer
required

Number of records belonging to the user.

Example:

42

userID
string
required

Unique identifier of the user who makes the search request.

Pattern: ^[a-zA-Z0-9 \-*.]+$
Example:

"user1"

Last modified on March 23, 2026